Subject: Re: bug#30916: Request: add a short description field for os-configuration

From: ng0 <[email-masked]>
Date: Sat, 24 Mar 2018 12:45:56 +0000

Martin Castillo transcribed 2.5K bytes:
> Hi,
> 
> On 23.03.2018 15:15, ng0 wrote:
> 
> > Could you be a more specific what you think is missing?
> > Your request is written in a very open way, and the space in GRUB menus is
> > limited as far as I assume.
> 
> Sure,
> 
> Currently the grub menu looks like
> GNU with Linux-Libre 4.15.12 (beta)
> GNU system, old configurations...
> 
> and in the submenu
> GNU with Linux-Libre 4.15.6 (beta) (#1, 2017-12-18 13:45)
> GNU with Linux-Libre 4.15.8 (beta) (#2, 2017-12-22 12:15)
> GNU with Linux-Libre 4.15.11 (beta) (#3, 2018-03-23 15:32)
> 
> but I'd like to have something like
> 
> GNU with Linux-Libre 4.15.12 (beta) [Add ssh-service on port 2222]
> GNU system, old configurations...
> 
> and in the submenu
> GNU with Linux-Libre 4.15.6 (beta) (#1, 2017-12-18 13:45)
> GNU with Linux-Libre 4.15.8 (beta) (#2, 2017-12-22 12:15) [Add user bob]
> GNU with Linux-Libre 4.15.11 (beta) (#3, 2018-03-23 15:32) [Add xfce]
> 
> where the description at the end comes from a field in the operating
> system configuration (or the bootloader configuration).
> 
> -- 
> GPG: 7FDE 7190 2F73 2C50 236E  403D CC13 48F1 E644 08EC
> 

So basically you want a field in the operating-system declaration where you
can _manually_ set a description of a certain maximum length which will be
added to the GRUB entry of the generated system generation?
I don't see automatic generation happening, as there's so much that can be
changed and automated summary would easily mess up the GRUB list. I wouldn't
want that. If anything, optional entry with a manual note is the way to do it.

-- 
A88C8ADD129828D7EAC02E52E22F9BBFEE348588
https://n0.is